### Method

# GLib AsyncQueue try_pop

#### Declaration [src]

    gpointer
    g_async_queue_try_pop (
      GAsyncQueue* queue
    )

#### Description [src]

Tries to pop data from the `queue`. If no data is available, `NULL` is returned.

#### Return value

Type: `gpointer`

Data from the queue or `NULL`, when no data is available immediately.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.